package com.andr3h3nriqu3s.applications

import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController
import org.springframework.http.MediaType

@RestController
@RequestMapping("/api/utils")
class BaseInfo {

    @GetMapping(path = [ "/version" ], produces = [ MediaType.APPLICATION_JSON_VALUE ])
    fun version(): Version {
    	return  Version(1)
    }
}

data class Version(val version: Int)
